Subject: Re: Where is stdio.h?
From: Jeff Sturm <[email-masked]>
To: Pierre Abbat <[email-masked]>
Cc: [email-masked]
Date: Sun, 16 Apr 2000 00:49:44 -0400

Pierre Abbat wrote:
> >The gcc compiler doesn't need /usr/include, it knows where to find its
> >include files, but you seem to have an atypical Makefile that looks for
> >stdio.h itself.
> 
> I looked at the Makefile in Linux (the Windows box is off now) and there is no
> mention of stdio. It's a diving make created by autoconf/automake using
> Kdevelop. I can send it to you if you'd like.

The message you forwarded originally was an make error, trying to
resolve a dependency on stdio.h.  It must be in there somewhere.

> Can you tell me what steps I need to take to get this working? Or should I get
> the CD? Is it any easier?

Do what I suggested earlier.  Find the directory that _does_ have
stdio.h, then make a symbolic link:

mkdir /usr
ln -s <real-include-dir> /usr/include

The CD may not really help.  Although my experience is that the
directory structure created by the CD installer is a little more sane
than the net release, I'm fairly certain it doesn't create a
/usr/include either... there isn't generally any need to.  (Of course
there are still other good reasons to buy the CD...)

--
Jeff Sturm
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]